# Uses of Interface
org.mariadb.jdbc.internal.failover.Listener

Packages that use Listener
Package
Description
org.mariadb.jdbc.internal.failover
org.mariadb.jdbc.internal.failover.impl
org.mariadb.jdbc.internal.failover.thread
org.mariadb.jdbc.internal.protocol

## Uses of Listener in org.mariadb.jdbc.internal.failover

Classes in org.mariadb.jdbc.internal.failover that implement Listener
Modifier and Type
Class
Description
`class`
`AbstractMastersListener`
`class`
`AbstractMastersReplicasListener`
Methods in org.mariadb.jdbc.internal.failover that return Listener
Modifier and Type
Method
Description
`Listener`
FailoverProxy.`getListener()`
Constructors in org.mariadb.jdbc.internal.failover with parameters of type Listener
Modifier
Constructor
Description
``
`FailoverProxy(Listener listener, ReentrantLock lock, LruTraceCache traceCache)`
Proxy constructor.

## Uses of Listener in org.mariadb.jdbc.internal.failover.impl

Classes in org.mariadb.jdbc.internal.failover.impl that implement Listener
Modifier and Type
Class
Description
`class`
`AuroraListener`
`class`
`MastersFailoverListener`
`class`
`MastersReplicasListener`
this class handle the operation when multiple hosts.

## Uses of Listener in org.mariadb.jdbc.internal.failover.thread

Methods in org.mariadb.jdbc.internal.failover.thread with parameters of type Listener
Modifier and Type
Method
Description
`void`
ConnectionValidator.`addListener(Listener listener, long listenerCheckMillis)`
Add listener to validation list.
`static void`
FailoverLoop.`addListener(Listener listener)`
`void`
ConnectionValidator.`removeListener(Listener listener)`
Remove listener to validation list.
`static void`
FailoverLoop.`removeListener(Listener listener)`

## Uses of Listener in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol with parameters of type Listener
Modifier and Type
Method
Description
`static void`
MasterProtocol.`loop(Listener listener, GlobalStateInfo globalInfo, List<HostAddress> addresses, SearchFilter searchFilter)`
loop until found the failed connection.